Sanctions Türkiye
  1. API Key Logs
Sanctions Türkiye
  • Health
    • Servis sağlık kontrolü
      GET
  • Auth
    • Kullanıcı girişi
      POST
    • Access token yenile
      POST
    • Aktif oturumu getir
      GET
  • Users
    • Kurum kullanıcılarını listele
      GET
    • Yeni kullanıcı oluştur
      POST
    • Kullanıcı bilgilerini güncelle
      PATCH
    • Kullanıcıyı pasife çek
      DELETE
  • API Keys
    • API anahtarlarını listele
      GET
    • Yeni API anahtarı oluştur
      POST
    • API anahtarını güncelle
      PATCH
    • API anahtarını sil
      DELETE
  • Customers
    • Müşterileri listele
      GET
    • Müşteri oluştur
      POST
    • Müşteri detay
      GET
    • Müşteri güncelle
      PATCH
    • Müşteriyi sil
      DELETE
  • Screenings
    • Screening kayıtlarını listele
      GET
    • Yeni screening başlat
      POST
    • Screening detayını getir
      GET
    • Screening kararını güncelle
      PATCH
  • Search
    • Yaptırım araması (GET)
    • Yaptırım araması (POST)
    • API anahtarı ile arama (GET)
    • API anahtarı ile arama (POST)
  • Search Logs
    • Arama loglarını listele
    • Arama logu detayı
  • API Key Logs
    • API key isteklerini listele
      GET
    • API key log detayı
      GET
  • Schemas
    • Schemas
      • ErrorResponse
      • AuthLoginRequest
      • AuthRefreshRequest
      • AuthSession
      • UserResponse
      • UserCreateRequest
      • UserUpdateRequest
      • ApiKeyResponse
      • ApiKeyCreateRequest
      • ApiKeyUpdateRequest
      • CustomerRequest
      • CustomerResponse
      • PaginatedCustomers
      • ScreeningHit
      • ScreeningRequest
      • ScreeningDecisionRequest
      • ScreeningResponse
      • PaginatedScreenings
      • SearchIdentifier
      • SearchQuery
      • EntityRecord
      • SanctionRecord
      • SearchResultItem
      • SearchResponse
      • SearchLogResponse
      • PaginatedSearchLogs
      • ApiKeyLogResponse
      • PaginatedApiKeyLogs
  1. API Key Logs

API key isteklerini listele

GET
/api/api-key-logs

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200OK
application/json
API key logları
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.sanctions.tr/api/api-key-logs?page&pageSize&success&errorType&apiKeyId' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "items": [
        {
            "_id": "string",
            "institutionId": "string",
            "apiKeyId": "string",
            "keyHash": "string",
            "success": true,
            "errorType": "missing_key",
            "errorMessage": "string",
            "requestPath": "string",
            "requestMethod": "string",
            "origin": "string",
            "referer": "string",
            "userAgent": "string",
            "ip": "string",
            "responseTime": 0,
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z"
        }
    ],
    "pagination": {
        "page": 0,
        "pageSize": 0,
        "total": 0,
        "totalPages": 0
    }
}
Modified at 2025-12-18 00:57:05
Previous
Arama logu detayı
Next
API key log detayı
Built with